Bug 4537 - [UPDATE REQUEST] grub2-2.00-62, os-prober-1.63-5
: [UPDATE REQUEST] grub2-2.00-62, os-prober-1.63-5
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-15 22:08 MSD by Konstantin Vlasov
Modified: 2014-10-28 13:31 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
messages (19.68 KB, text/x-log)
2014-10-16 15:02 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-10-15 22:08:21 MSD
grub2 and os-prober were updated for rosa2014.1.
Comment 1 Konstantin Vlasov 2014-10-15 22:17:38 MSD
grub2:
https://abf.rosalinux.ru/build_lists/2308828
https://abf.rosalinux.ru/build_lists/2308829

os-prober:
https://abf.rosalinux.ru/build_lists/2308820
https://abf.rosalinux.ru/build_lists/2308821

Advisory:
1. Grub boot menu did not contain secondary OSes installed on a btrfs partitions using subvolumes (e.g., default installation of Ubuntu when btrfs is selected).
2. "Windows" boot menu entry in EFI mode did not take option GRUB_SAVEDEFAULT into account.
Comment 2 Vladimir Potapov 2014-10-16 13:50:02 MSD
У меня на одной из тестовых машин и текущий, и этот os-prober не видят (в отличие от R3) всех установленных систем кроме R4.
Т.к.обновление граба сама по себе опасная штука, предлагаю исправить еще и эту проблему и потом уже скопом обновить всех.
Comment 3 Vladimir Potapov 2014-10-16 15:02:45 MSD
Created attachment 3341 [details]
messages
Comment 4 Vladimir Potapov 2014-10-22 12:35:55 MSD
Проблема повторилась еще раз. После установки ядра граб (уже новый) опять не все системы нашел (не нашел самую рабочую пришлось перегенерить)
Comment 5 Vladimir Potapov 2014-10-22 12:52:13 MSD
Но это, все же, новая ошибка будем считать.
Comment 6 Vladimir Potapov 2014-10-28 11:48:22 MSK
grub2-2.00-62
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2308828/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2308829/x86_64/main/release/

os-prober-1.63-5
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2308820/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2308821/x86_64/main/release/
*************************** Advisory *********************
Grub boot menu did not contain secondary OSes installed on a btrfs partitions using subvolumes (e.g., default installation of Ubuntu when btrfs is selected).
**************************** Changelog *******************
"Windows" boot menu entry in EFI mode did not take option GRUB_SAVEDEFAULT into account.
**********************************************************
QA Verified